import getDecorators from "inversify-inject-decorators";
import { ChipHandler } from "../../../chip-handler/scripts/chip-handler";
import { BetModel, container, GAME_VIEW, MODEL } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class UpdateChipOnViewBetChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.Bet)
    private gameViewBet: Core.View.GameView;
    @lazyInject(MODEL.Bet)
    private betModel: BetModel;

    @property(ChipHandler)
    private listChipHandler: ChipHandler[] = [];

    protected onLoad(): void
    {
        this.gameViewBet.addComponent(this);
        this.render();
    }

    public render(): void
    {
        for (let index = 0; index < this.listChipHandler.length; index++)
        {
            this.listChipHandler[index].updateChipBetValue(this.betModel.listBetPoint[index]);
        }
    }
}
