import getDecorators from "inversify-inject-decorators";
import { MoneyLabelDisplay } from "../../../bet-position/scripts/component/money-label-display";
import { BetModel, container, GAME_VIEW, MODEL } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class UpdateMoneyOnViewBetChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.Bet)
    private gameViewBet: Core.View.GameView;
    @lazyInject(MODEL.Bet)
    private betModel: BetModel;

    @property(MoneyLabelDisplay)
    private listMoneyLabelDisplay: MoneyLabelDisplay[] = [];

    protected onLoad(): void
    {
        this.gameViewBet.addComponent(this);
        this.render();
    }

    public render(): void
    {
        for (let index = 0; index < this.listMoneyLabelDisplay.length; index++)
        {
            this.listMoneyLabelDisplay[index].setValue(this.betModel.listBetPoint[index]);
        }
    }
}
