import getDecorators from "inversify-inject-decorators";
import OddsLabelDisplay from "../../../bet-position/scripts/component/odds-label-display";
import { container, GAME_VIEW, ListOddsModel, MODEL } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class UpdateOddsOnDataChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.Odds)
    private gameViewOdds: Core.View.GameView;
    @lazyInject(MODEL.ListOdds)
    private listOddsModel: ListOddsModel;

    @property(OddsLabelDisplay)
    private listOddsLabelDisplay: OddsLabelDisplay[] = [];

    protected onLoad(): void
    {
        this.gameViewOdds.addComponent(this);
        this.render();
    }

    public render(): void
    {
        for (let index = 0; index < this.listOddsLabelDisplay.length; index++)
        {
            this.listOddsLabelDisplay[index].setValue(this.listOddsModel[index]);
        }
    }
}
