import getDecorators from "inversify-inject-decorators";
import { Chip } from "../../../chip/scripts/chip";
import { container, GAME_VIEW, ListBetOptionModel, MODEL, SelectedBetOptionModel } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class UpdateListBetOptionOnDataChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.BetOption)
    private gameViewBetOption: Core.View.GameView;
    @lazyInject(MODEL.ListBetOption)
    private listBetOptionModel: ListBetOptionModel;
    @lazyInject(MODEL.SelectedBetOption)
    private selectedBetOptionModel: SelectedBetOptionModel;

    @property(Chip)
    private selectedChip: Chip = null;
    @property(Chip)
    private listBetOptionChip: Chip[] = [];


    protected onLoad(): void
    {
        this.gameViewBetOption.addComponent(this);
    }

    public render()
    {
        this.updateListBetOptionValue();
    }

    public updateListBetOptionValue(): void
    {
        this.selectedChip.setChipValue(this.selectedBetOptionModel.selectedBetOption);
        var listChipSelect = [];

        this.listBetOptionModel.listBetOption.forEach(betOption =>
        {
            if (betOption != this.selectedBetOptionModel.selectedBetOption)
            {
                listChipSelect.push(betOption);
            }
        });

        var minLength = Math.min(this.listBetOptionChip.length, listChipSelect.length);
        for (let index = 0; index < minLength; index++)
        {
            var betOption = listChipSelect[index];
            this.listBetOptionChip[index].setChipValue(betOption);
        }
    }
}
