import getDecorators from "inversify-inject-decorators";
import EventDispatcher from "../../../event-system/cocos-event-target";
import { container } from "../../../plugins/core";
import { RoomPanelComponent } from "../component/room-panel-component";
import { ROOM_PANEL_EVENT } from "../event/room-panel-event";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export default class OpenRoomPanelOnRequest extends cc.Component
{
    @property(RoomPanelComponent)
    private roomPanelComponent: RoomPanelComponent = null;

    protected onLoad(): void
    {
        EventDispatcher.on(ROOM_PANEL_EVENT.Open, this.onSwitchRoomButtonOnClick, this);
    }

    private onSwitchRoomButtonOnClick(): void
    {
        this.roomPanelComponent.show();
    }
}