import getDecorators from "inversify-inject-decorators";
import { container, GAME_VIEW, ListRoomBetOptionModel, MODEL } from "../../../plugins/core";
import RoomComponent from "../component/room-component";


const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export default class UpdateRoomChipsOnDataChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.BetOption)
    private gameViewBetOption: Core.View.GameView;
    @lazyInject(MODEL.ListRoomBetOption)
    private listRoomBetOptionModel: ListRoomBetOptionModel;

    @property(RoomComponent)
    private listRoomComponent: RoomComponent[] = [];

    protected onLoad(): void
    {
        this.gameViewBetOption.addComponent(this);
        this.render();
    }

    public render(): void
    {
        this.updateRoomChipValues();
    }

    private updateRoomChipValues(): void
    {
        for (let roomIndex = 0; roomIndex < this.listRoomBetOptionModel.listRoomBetOption.length; roomIndex++)
        {
            const roomBetOptions = this.listRoomBetOptionModel.listRoomBetOption[roomIndex].listBetOption;
            this.listRoomComponent[roomIndex].updateRoomChipsUI(roomBetOptions);
        }
    }
}
